<?php
/*********************************************************************
*@filename .php
*@note
*@histories  rivision	author		date		comment

********************************************************************/
require_once( 'csv/CsvBase.php' );

class csv_uptime_records extends CsvBase{

	public function getCsvTitle(){
		
		$this->special_cols['Optuser/date']=__('header_date',$retrun=true);
		$this->special_cols['Optuser/weekday']=__('header_week',$retrun=true);
		$this->special_cols['Group/group_name']=__('header_group',$retrun=true);
		$this->special_cols['Employee/id_name']=__('header_id',$retrun=true);
		$this->special_cols['Employee/name']=__('header_name',$retrun=true);
		$this->special_cols['Host/host_name']=__('header_pc',$retrun=true);
		$this->special_cols['Employeeaccount/account']=__('header_acc',$retrun=true);
		$this->special_cols['Optuser/start']=__('header_start',$retrun=true);
		$this->special_cols['Optuser/end']=__('header_end',$retrun=true);
		$this->special_cols['Optuser/out']=__('header_out',$retrun=true);
		
		return parent::getCsvTitle();
	}
	
	public  function getSearchTitle(){
		$this->common_search_title1[0]=__('',$retrun=true);
		$this->common_search_title1[1]=__('report',$retrun=true);
		
		$this->special_search_title['']=__('search_con',$retrun=true);
		$this->special_search_title['dt_check/start_year start_month start_day']=__('start_time',$retrun=true);
		$this->special_search_title['dt_check/end_year end_month end_day']=__('end_time',$retrun=true);
		$this->special_search_title['Employee/group']=__('groupName',$retrun=true);
		$this->special_search_title['Employee/id_name']=__('header_id',$retrun=true);
		$this->special_search_title['Host/host_name']=__('header_pc',$retrun=true);
		$this->special_search_title['Host/check']=__('part_conform',$retrun=true);

		return parent::getSearchTitle();
	}
}			       
?>